opencv: cv::Point3_< _Tp > Class Template Reference

Public Types | Public Member Functions | Public Attributes

# cv::Point3_< _Tp > Class Template Reference

`#include <core.hpp>`

List of all members.

## Public Types
typedef _Tp | value_type
## Public Member Functions
Point3_ | cross (const Point3_ &pt) const
| cross product of the 2 3D points
double | ddot (const Point3_ &pt) const
| dot product computed in double-precision arithmetics
_Tp | dot (const Point3_ &pt) const
| dot product
| operator CvPoint3D32f () const
| conversion to the old-style CvPoint...
template<typename _Tp2 >
| operator Point3_< _Tp2 > () const
| conversion to another data type
| operator Vec< _Tp, 3 > () const
| conversion to cv::Vec<>
Point3_ & | operator= (const Point3_ &pt)
| Point3_ (const Point3_ &pt)
| Point3_ ()
| Point3_ (const CvPoint3D32f &pt)
| Point3_ (_Tp _x, _Tp _y, _Tp _z)
| Point3_ (const Vec< _Tp, 3 > &v)
| Point3_ (const Point_< _Tp > &pt)
## Public Attributes
_Tp | x
_Tp | y
_Tp | z

## Detailed Description

### template<typename _Tp>
class cv::Point3_< _Tp >

template 3D point class.

The class defines a point in 3D space. Data type of the point coordinates is specified as a template parameter.

See also:
  cv::Point3i, cv::Point3f and cv::Point3d

## Member Typedef Documentation

template<typename _Tp>

typedef _Tp cv::Point3_< _Tp >::value_type

## Constructor & Destructor Documentation

template<typename _Tp >

cv::Point3_< _Tp >::Point3_ | ( | ) | `[inline]`

template<typename _Tp >

cv::Point3_< _Tp >::Point3_ | ( | _Tp | _x,
|  | _Tp | _y,
|  | _Tp | _z
| ) |  | `[inline]`

template<typename _Tp >

cv::Point3_< _Tp >::Point3_ | ( | const Point3_< _Tp > & | pt ) | `[inline]`

template<typename _Tp >

cv::Point3_< _Tp >::Point3_ | ( | const Point_< _Tp > & | pt ) | `[inline, explicit]`

template<typename _Tp >

cv::Point3_< _Tp >::Point3_ | ( | const CvPoint3D32f & | pt ) | `[inline]`

template<typename _Tp >

cv::Point3_< _Tp >::Point3_ | ( | const Vec< _Tp, 3 > & | v ) | `[inline]`

## Member Function Documentation

template<typename _Tp >

Point3_< _Tp > cv::Point3_< _Tp >::cross | ( | const Point3_< _Tp > & | pt ) | const`[inline]`

cross product of the 2 3D points

template<typename _Tp >

double cv::Point3_< _Tp >::ddot | ( | const Point3_< _Tp > & | pt ) | const`[inline]`

dot product computed in double-precision arithmetics

template<typename _Tp >

_Tp cv::Point3_< _Tp >::dot | ( | const Point3_< _Tp > & | pt ) | const`[inline]`

dot product

template<typename _Tp >

cv::Point3_< _Tp >::operator CvPoint3D32f | ( | ) | const`[inline]`

conversion to the old-style CvPoint...

template<typename _Tp >
template<typename _Tp2 >

cv::Point3_< _Tp >::operator Point3_< _Tp2 > | ( | ) | const`[inline]`

conversion to another data type

template<typename _Tp >

cv::Point3_< _Tp >::operator Vec< _Tp, 3 > | ( | ) | const`[inline]`

conversion to cv::Vec<>

template<typename _Tp >

Point3_< _Tp > & cv::Point3_< _Tp >::operator= | ( | const Point3_< _Tp > & | pt ) | `[inline]`

## Member Data Documentation

template<typename _Tp>

_Tp cv::Point3_< _Tp >::x

template<typename _Tp>

_Tp cv::Point3_< _Tp >::y

template<typename _Tp>

_Tp cv::Point3_< _Tp >::z

The documentation for this class was generated from the following files:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/core.hpp
- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/operations.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines